[Command]
name = "CPU_1"
command = U,U,a,F,D
time = 1
[Command]
name = "CPU_2"
command = U,D,U,F,F
time = 1
[Command]
name = "CPU_3"
command = B,B,D,F,U
time = 1
[Command]
name = "CPU_4"
command = F,F,a,a,U,F
time = 1
[Command]
name = "CPU_5"
command = D,F,U,B
time = 1
[Command]
name = "CPU_6"
command = D,D,U,U,U,B
time = 1
[Command]
name = "CPU_7"
command = B,B,U,U,U,D
time = 1
[Command]
name = "CPU_8"
command = U,U,D,D,B,B
time = 1
[Command]
name = "CPU_9"
command = U,D,F,B,B,B,B
time = 1
[Command]
name = "CPU_10"
command = D,U,F,F,F,F
time = 1
[Command]
name = "CPU_11"
command = F,D,B,D,D,F
time = 1
[Command]
name = "CPU_12"
command = F,F,F,D,D,D
time = 1
[Command]
name = "CPU_13"
command = F,F,D,D,F,U,U
time = 1
[Command]
name = "CPU_14"
command = U,D,F,U,U,U,D
time = 1
[Command]
name = "CPU_15"
command = F,c,U,F,U,D,F
time = 1
[Command]
name = "CPU_16"
command = D,D,U,F,B,B
time = 1
[Command]
name = "CPU_17"
command = F,F,F,F,F,F
time = 1
[Command]
name = "CPU_18"
command = D,D,D,D,D,D,D,D
time = 1
[Command]
name = "CPU_19"
command = U,D,F,U,U,F,F,D,B
time = 1
[Command]
name = "CPU_20"
command = U,D,F,D,D,F,F,D,B
time = 1
[Command]
name = "CPU_21"
command = U,D,F,B,B,D,F,D,B
time = 1
[Command]
name = "CPU_22"
command = U,D,F,F,B,B
time = 1



;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.




[Command]
name = "max2"
command = ~a, a, $F, b, c
time = 45
buffer.time = 15

[Command]
name = "max2"
command = ~a, a, $F+b+c
time = 45
buffer.time = 15

[Command]
name = "max2"
command = ~a, a, $F+b, c
time = 45
buffer.time = 15

[Command]
name = "max2"
command = ~a, a, $F,b+c
time = 45
buffer.time = 15
;
[command]
name="直死"
command=~D,DF,F,b+c
time=30




[command]
name="白羅滅精"
command=~B,D,DF,F,c
time=30


[command]
name="MAX白羅滅精"
command=~F,D,DB,B,c
time=30


;-| Special Motions |------------------------------------------------------



[command]
name="遊昇凄舞4"
command=~F,D,DF,z
time=14

[command]
name="遊昇凄舞3"
command=~B,D,DB,z
time=14


[command]
name="遊昇凄舞1"
command=~D,DF,F,z
time=14

[command]
name="遊昇凄舞2"
command=~D,DB,B,z
time=14


[command]
name="斬風燕破 鳳牙・弱"
command=~F,D,DF,a
time=14
[command]
name="斬風燕破 鳳牙・強"
command=~F,D,DF,b
time=14

[command]
name="斬風燕破 鳳牙・EX"
command=~F,D,DF,c
time=14


[command]
name="斬風燕破 殺魔"
command=~D,DF,F,a
time=16

[command]
name="斬風燕破 叛鏡"
command=~D,DF,F,b
time=16

[command]
name="斬風燕破 EX"
command=~D,DF,F,c
time=16


[command]
name="魔舞紅躁"
command=~B,D,B,a
time=16

[command]
name="疾火煌陣"
command=~B,D,B,b
time=16

[command]
name="魔舞紅躁EX"
command=~B,D,B,c
time=16


[command]
name="ディバインアロー・エアA"
command=~D,DB,B,a
time=16

[command]
name="ディバインアロー・エアB"
command=~D,DB,B,b
time=16

[command]
name="ディバインアロー・エアEX"
command=~D,DB,B,c
time=16

[command]
name="獅子"
command=~D,D,a
time=16

[command]
name="紫紀1"
command=~D,D,b
time=16

[command]
name="紫紀2"
command=~D,D,c
time=16



[command]
name="幻影脚1"
command=~F,B,F,a
time=16

[command]
name="幻影脚2"
command=~F,B,F,b
time=16

[command]
name="幻影脚3"
command=~F,B,F,c
time=16


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BBB"     ;Required (do not remove)
command = B,B,B
time = 20

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10



;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1


[Command]
name = "パワー溜め";Required (do not remove)
command = b+c
time = 1

[Command]
name = "MAX発動";Required (do not remove)
command = a+b+c
time = 1

[Command]
name = "ふっとばし";Required (do not remove)
command = c+z
time = 1


;-| Dir + Button |---------------------------------------------------------


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[command]
name="hold_a"
command=/a
buffer.time=1
[command]
name="hold_b"
command=/b
buffer.time=1
[command]
name="hold_c"
command=/c
buffer.time=1
[command]
name="hold_x"
command=/x
buffer.time=1
[command]
name="hold_y"
command=/y
buffer.time=1
[command]
name="hold_z"
command=/z
buffer.time=1
[command]
name="hold_s"
command=/s
buffer.time=1

;---------------------------------------------------------------------------

[command]
name="fwd"
command=F
buffer.time=1
[command]
name="back"
command=B
buffer.time=1
[command]
name="up"
command=U
buffer.time=1
[command]
name="down"
command=D
buffer.time=1


;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================


;---------------------------------------------------------------------------
[state -1,極星冥界陣]
type=changestate
value=4000
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="max2"
triggerall=(numhelper(1300)+numhelper(1400)+numhelper(1500)=0)
triggerall=(life<=lifemax*0.3&&(power>=3000||(var(1)&&power>=1000)))||(power>=5000||(var(1)&&power>=3000))
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact
;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================


;---------------------------------------------------------------------------
[state -1,鬼神乱獣撃]
type=changestate
value=4323
triggerALL = palno = [7,12]
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="max2"
triggerall= helper(1300),stateno=[30000,30020]
triggerall=(life<=lifemax*0.3&&(power>=3000||(var(1)&&power>=1000)))||(power>=5000||(var(1)&&power>=3000))
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0
;===========================================================================

;---------------------------------------------------------------------------
[state -1,直死]
type=null;changestate
value=3999
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="max2"
triggerall= (power >= 5000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;===========================================================================

[state -1,直死]
type=changestate
value=2400
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall= life < 350
triggerall=!numhelper(1400)
triggerall= command="直死"
triggerall= (power >= 5000) || (var(1)&&power>=4000)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================
;===========================================================================
;===========================================================================

[state -1,MAX白羅滅精]
type=changestate
value=3500
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="MAX白羅滅精"
triggerall=power>=3000||(var(1)&&power>=1000)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;スパキャン
trigger3=!var(1)
trigger3=power>=4000
trigger3=stateno=[1000,1999]
trigger3=movecontact
;どこキャン
trigger4=var(1)
trigger4=stateno=[1000,2999]
trigger4=movecontact

;どこキャン2
trigger5=var(1)
trigger5 = projhittime(1000) > 0

;===========================================================================
;---------------------------------------------------------------------------

[state -1,白羅滅精]
type=changestate
value=3100
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="白羅滅精"
triggerall=power>=1000||var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;スパキャン
trigger3=!var(1)
trigger3=power>=2000
trigger3=stateno=[1000,1999]
trigger3=movecontact
;どこキャン
trigger4=var(1)
trigger4=stateno=[1000,2999]
trigger4=movecontact

;どこキャン2
trigger5=var(1)
trigger5 = projhittime(1000) > 0


;===========================================================================
;===========================================================================

[state -1,鬼神猛撃拳・弱]
type=changestate
value=1700
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 鳳牙・弱"
triggerall=statetype=a
trigger1=ctrl|| stateno=106
trigger2=stateno=[600,700]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2100,2111]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0


;===========================================================================

[state -1,鬼神猛撃拳・強]
type=changestate
value=1701
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 鳳牙・強"|| command="斬風燕破 鳳牙・EX" && (power < 1000)  &&  !var(1)
triggerall=statetype=a
trigger1=ctrl || stateno=106
trigger2=stateno=[600,700]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2100,2111]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,鬼神猛撃拳 EX]
type=changestate
value=2700
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="斬風燕破 鳳牙・EX"
triggerall= (power >= 1000) || var(1)
triggerall=statetype=a
trigger1=ctrl || stateno=106
trigger2=stateno=[600,799]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;---------------------------------------------------------------------------

;===========================================================================

;===========================================================================



[state -1,斬風燕破 鳳牙・弱]
type=changestate
value=1100
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 鳳牙・弱"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2100,2111]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,斬風燕破 鳳牙・強]
type=changestate
value=1110
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 鳳牙・強"|| command="斬風燕破 鳳牙・EX" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2100,2111]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0


[state -1,斬風燕破 EX]
type=changestate
value=2100
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="斬風燕破 鳳牙・EX"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;---------------------------------------------------------------------------

[state -1,斬風燕破 殺魔]
type=changestate
value=1000
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 殺魔"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,斬風燕破 叛鏡]
type=changestate
value=1050
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="斬風燕破 叛鏡" || command="斬風燕破 EX" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,斬風燕破 EX]
type=changestate
value=2000
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="斬風燕破 EX"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,魔舞紅躁]
type=changestate
value=1600
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="魔舞紅躁";|| command="魔舞紅躁EX" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,疾火煌陣]
type=changestate
value=1650
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="疾火煌陣"|| command="魔舞紅躁EX" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,魔舞紅躁EX]
type=changestate
value=2600
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="魔舞紅躁EX"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,ディバインアロー・エアA]
type=changestate
value=1200
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="ディバインアロー・エアA"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,ディバインアロー・エアB]
type=changestate
value=1210
triggerall=!var(59)
triggerall=!var(7)
triggerall=command="ディバインアロー・エアB"|| command="ディバインアロー・エアEX" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,ディバインアロー・エアEX]
type=changestate
value=2200
triggerall=!var(59)
triggerall=!var(7)
triggerall= command="ディバインアロー・エアEX"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,big]
type=changestate
value=1500
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=numhelper(1300)
triggerall=!numhelper(1500)
triggerall=command="獅子"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,big2]
type=changestate
value=1510
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=numhelper(1400)
triggerall=!numhelper(1500)
triggerall=command="紫紀1"|| command="紫紀2" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,bigex]
type=changestate
value=2500
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=numhelper(1400)
triggerall=!numhelper(1500)
triggerall= command="紫紀2"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,獅子王]
type=changestate
value=1300
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=!numhelper(1300)
triggerall=command="獅子"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,獅子王]
type=changestate
value=1300
triggerALL = palno = [7,12]
triggerall=!var(59)
triggerall=!var(7)
triggerall=numhelper(1300)
triggerall= helper(1300),stateno=[30000,30020]
triggerall=command="獅子"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,紫紀]
type=changestate
value=1400
triggerALL = palno = [7,12]
triggerall=!var(59)
triggerall=!var(7)
triggerall=numhelper(1300)
triggerall= helper(1300),stateno=[30000,30020]
triggerall=command="紫紀1"|| command="紫紀2" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact



;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,紫紀]
type=changestate
value=1400
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=!numhelper(1400)
triggerall=command="紫紀1"|| command="紫紀2" && (power < 1000)  &&  !var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,紫紀2]
type=changestate
value=2300
triggerALL = palno = [7,12]
triggerall=!var(59)
triggerall=numhelper(1300)
triggerall= helper(1300),stateno=[30000,30020]
triggerall= command="紫紀2"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,紫紀2]
type=changestate
value=2300
triggerALL = palno = [1,6]
triggerall=!var(59)
triggerall=!var(7)
triggerall=!numhelper(1400)
triggerall= command="紫紀2"
triggerall= (power >= 1000) || var(1)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact


;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================
;===========================================================================

[state -1,遊昇凄舞2]
type=changestate
value=1910
triggerall= command="遊昇凄舞3"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
triggerall=numhelper(1906)=0
triggerall=numhelper(1907)=0
triggerall=numhelper(1908)=0
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================

[state -1,遊昇凄舞2]
type=changestate
value=1900
triggerall= command="遊昇凄舞4"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
triggerall=numhelper(1906)=0
triggerall=numhelper(1907)=0
triggerall=numhelper(1908)=0
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

[state -1,遊昇凄舞]
type=changestate
value=1920
triggerall= command="遊昇凄舞1"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
triggerall=numhelper(1906)=0
triggerall=numhelper(1907)=0
triggerall=numhelper(1908)=0
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0
;===========================================================================

[state -1,遊昇凄舞2]
type=changestate
value=1930
triggerall= command="遊昇凄舞2"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
triggerall=numhelper(1906)=0
triggerall=numhelper(1907)=0
triggerall=numhelper(1908)=0
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0
;===========================================================================

[state -1,幻影脚]
type=changestate
value=1800
triggerall= command="幻影脚1"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================

[state -1,幻影脚]
type=changestate
value=1801
triggerall= command="幻影脚2"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0
;===========================================================================

[state -1,幻影脚]
type=changestate
value=1802
triggerall= command="幻影脚3"
triggerall=!var(59)
triggerall=!var(7)
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
;どこキャン
trigger3=var(1)
trigger3=stateno=[1000,2999]
trigger3=stateno!=[2000,2050]
trigger3=movecontact

;どこキャン2
trigger4=var(1)
trigger4 = projhittime(1000) > 0

;===========================================================================
;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall=!var(59)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;Kung Fu Throw
;空中投げ
[State -1, Throw]
type = ChangeState
value = 850
triggerall=!var(59)
triggerall = command = "z"
triggerall = command = "a"
triggerall = statetype = A
;triggerall = command = "holdfwd"
trigger1 = ctrl
trigger2=var(1)
trigger2=stateno=[600,620]
trigger2=movecontact

;---------------------------------------------------------------------------
;Kung Fu Throw
;投げ
[State -1, Throw]
type = ChangeState
value = 800
triggerall=!var(59)
triggerall = command = "z"
triggerall = command = "a"
triggerall = statetype = S
trigger1 = ctrl
triggerall = stateno != 100
;triggerall = command = "holdfwd"


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
[state -1,ガーキャンふっとばし]
type=changestate
value=351
triggerall=!var(59)
triggerall=command="ふっとばし"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=stateno=[150,155]

[state -1,ふっとばし]
type=changestate
value=350
triggerall=!var(59)
triggerall=command="ふっとばし"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno=[200,599]
trigger2=movecontact

[state -1,Jふっとばし]
type=changestate
value=650
triggerall=!var(59)
triggerall=command="ふっとばし"
triggerall=statetype=a
trigger1=ctrl
trigger2=stateno=[600,620]
trigger2=movecontact

[state -1,クイックMAX発動]
type=changestate
value=951
triggerall=!var(59)
triggerall=command="MAX発動"
triggerall=power>=2000
triggerall=statetype!=a
triggerall=!var(1)
trigger1=stateno=[200,599]
trigger1=movecontact

[state -1,MAX発動]
type=changestate
value=950
triggerall=!var(59)
triggerall=command="MAX発動"
triggerall=power>=1000
triggerall=statetype!=a
triggerall=!var(1)
trigger1=ctrl


[state -1,パワー溜]
type=changestate
value=290
triggerall=!var(59)
triggerall=command="パワー溜め"
triggerall=power<5000
triggerall=statetype!=a
triggerall=!var(1)
trigger1=ctrl





;---------------------------------------------------------------------------

[state -1,ガーキャン後ろ回り込み]
type=changestate
value=706
triggerall=!var(59)
triggerall=command="recovery"
triggerall=command="holdback"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=stateno=[150,155]

[state -1,後ろ回り込み]
type=changestate
value=705
triggerall=!var(59)
triggerall=command="recovery"
triggerall=command="holdback"
triggerall=statetype!=a
trigger1=ctrl

[state -1,ガーキャン回り込み]
type=changestate
value=701
triggerall=!var(59)
triggerall=command="recovery"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=stateno=[150,155]

[state -1,クイック回り込み]
type=changestate
value=702
triggerall=!var(59)
triggerall=command="recovery"
triggerall=statetype=s
triggerall=power>=1000
trigger1=stateno=[200,399]
trigger1=movecontact

[state -1,回り込み]
type=changestate
value=700
triggerall=!var(59)
triggerall=command="recovery"
triggerall=statetype!=a
trigger1=ctrl


;===========================================================================
;---------------------------------------------------------------------------

;Run Back
[State -1, Run Back]
type = ChangeState
value = 106
triggerall=!var(59)
trigger1 = command = "BBB"
trigger1 = statetype = S
trigger1 = ctrl 
;------------------
---------------------------------------------------------
;Run Back
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall=!var(59)
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------


=======================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;屈A
[State -1, Stand Light Punch]
type = ChangeState
value = 400
triggerall=!var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2=stateno=400
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[200,599]
trigger3=movecontact
;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;
;屈B
[State -1, Stand Light Kick]
type = ChangeState
value = 410
triggerall=!var(59)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2=stateno=[200,210]
trigger2=movecontact
trigger3=stateno=400
trigger3=movecontact

trigger4=var(1)
trigger4=stateno=[200,599]
trigger4=movecontact
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;
;前入れ屈C
[State -1, Stand Light Kick]
type = ChangeState
value = 502
triggerall=!var(59)
triggerall = command = "holdfwd"
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2=stateno=[200,420]
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[502,599]
trigger3=movecontact

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;
;屈C
[State -1, Stand Light Kick]
type = ChangeState
value = 420
triggerall=!var(59)
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2=stateno=[200,410]
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[200,599]
trigger3=movecontact

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------


--------
;Stand Light Punch
;立ちA
[State -1, Stand Light Punch]
type = ChangeState
value = 600
triggerall=!var(59)
triggerall = command = "a"
trigger1 = statetype = a
trigger1 = ctrl
trigger2=var(1)
trigger2=stateno=[600,620]
trigger2=movecontact

;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;
;立ちB
[State -1, Stand Light Kick]
type = ChangeState
value = 610
triggerall=!var(59)
triggerall = command = "b"
trigger1 = statetype = a
trigger1 = ctrl
trigger2=stateno=600
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[600,620]
trigger3=movecontact
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;
;立ちC
[State -1, Stand Light Kick]
type = ChangeState
value = 620
triggerall=!var(59)
triggerall = command = "c"
trigger1 = statetype = a
trigger1 = ctrl
trigger2=stateno=[600,610]
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[600,620]
trigger3=movecontact

=======================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;立ちA
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall=!var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2=stateno=[200,599]
trigger2=movecontact
trigger2=var(1)

;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;
;立ちB
[State -1, Stand Light Kick]
type = ChangeState
value = 210
triggerall=!var(59)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2=stateno=200
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[200,599]
trigger3=movecontact
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;
;後入り立ちC
[State -1, Stand Light Kick]
type = ChangeState
value = 503
triggerall=!var(59)
triggerall = command = "c"
triggerall = command = "holdback"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2=stateno=[200,420]
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[501,599]
trigger3=movecontact

;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;
;前入り立ちC
[State -1, Stand Light Kick]
type = ChangeState
value = 501
triggerall=!var(59)
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2=stateno=[200,420]
trigger2=movecontact
trigger3=var(1)
trigger3=stateno=[501,599]
trigger3=movecontact

;---------------------------------------------------------------------------
;



;立ちC
[State -1, Stand Light Kick]
type = ChangeState
value = 220

triggerall=!var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = P2BodyDist X > 30
trigger2=stateno=[200,210]
trigger2=movecontact
trigger2 = P2BodyDist X > 15
trigger3=var(1)
trigger3=stateno=[200,599]
trigger3=movecontact
trigger3 = P2BodyDist X > 15

;近距離立ちC
[State -1, Stand Light Kick]
type = ChangeState
value = 225
triggerall=!var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = P2BodyDist X <= 30
trigger1 = statetype = S
trigger1 = ctrl
trigger2=stateno=[200,210]
trigger2=movecontact
trigger2 = P2BodyDist X <= 15
trigger3=var(1)
trigger3=stateno=[200,599]
trigger3=movecontact
trigger3 = P2BodyDist X <= 15
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;Taunt
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall=!var(59)
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;シールド
[State Shield_S]
type = ChangeState
value = 900
triggerall=!var(59)
triggerall = command = "z"
triggerall = command!= "holddown"
trigger1 = statetype = S && ctrl
trigger3 = stateno = [900,911]
trigger3 = movecontact
trigger2 = time >= 14
trigger2 = anim = 901


[State Shield_C]
type = ChangeState
value = 910
triggerall=!var(59)
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger3 = stateno = [900,911]
trigger3 = movecontact
trigger2 = time >= 15
trigger2 = anim = 901|| anim = 911



[State 200, turn]
type = Turn
triggerall=!var(59)
trigger2 = statetype = A
trigger2 = ctrl
trigger1 = stateno = 50
triggerall = command = "z"

